summaryrefslogtreecommitdiffstats
path: root/src/spdk/dpdk/devtools/test-null.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/spdk/dpdk/devtools/test-null.sh')
-rwxr-xr-xsrc/spdk/dpdk/devtools/test-null.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/src/spdk/dpdk/devtools/test-null.sh b/src/spdk/dpdk/devtools/test-null.sh
new file mode 100755
index 000000000..548de8113
--- /dev/null
+++ b/src/spdk/dpdk/devtools/test-null.sh
@@ -0,0 +1,32 @@
+#! /bin/sh -e
+# SPDX-License-Identifier: BSD-3-Clause
+# Copyright 2015 6WIND S.A.
+# Copyright 2019 Mellanox Technologies, Ltd
+
+# Run a quick testpmd forwarding with null PMD without hugepage
+
+build=${1:-build} # first argument can be the build directory
+testpmd=$1 # or first argument can be the testpmd path
+coremask=${2:-3} # default using cores 0 and 1
+eal_options=$3
+testpmd_options=$4
+
+[ -f "$testpmd" ] && build=$(dirname $(dirname $testpmd))
+[ -f "$testpmd" ] || testpmd=$build/app/dpdk-testpmd
+[ -f "$testpmd" ] || testpmd=$build/app/testpmd
+if [ ! -f "$testpmd" ] ; then
+ echo 'ERROR: testpmd cannot be found' >&2
+ exit 1
+fi
+
+if ldd $testpmd | grep -q librte_ ; then
+ export LD_LIBRARY_PATH=$build/drivers:$build/lib:$LD_LIBRARY_PATH
+ libs='-d librte_mempool_ring.so -d librte_pmd_null.so'
+else
+ libs=
+fi
+
+(sleep 1 && echo stop) |
+$testpmd -c $coremask --no-huge -m 20 \
+ $libs -w 0:0.0 --vdev net_null1 --vdev net_null2 $eal_options -- \
+ --no-mlockall --total-num-mbufs=2048 $testpmd_options -ia